services:
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/London
    volumes:
      - /root/jellyfin/config:/config
      - /mnt/media/shared/media//tv:/data/tvshows
      - /mnt/media/shared/media//movies:/data/movies
    ports:
      - "8096:8096"         # HTTP Web UI
      - "8920:8920"         # HTTPS Web UI (optional)
      - "7359:7359/udp"     # Service discovery (optional)
      - "1900:1900/udp"     # DLNA (optional)
    restart: unless-stopped
